com.jscape.inet.ftps

## Class Fxps

- java.lang.Object
- - com.jscape.inet.ftps.Fxps

-     public class Fxps
      extends java.lang.Object

  Implements the functionality of a basic FXP (FTP server to FTP server transfer)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Fxps()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFxpListener(FxpListener listener)` Add FXP event listener
    `void` | `mtransfer(Ftps source, Ftps destination, java.lang.String filter)` Transfer files matching filter from source FTP server to destination FTP server
    `void` | `removeFxpListener(FxpListener listener)` Remove FXP event listener.
    `void` | `transfer(Ftps source, Ftps destination, java.lang.String filename)` Transfer file from source FTP server to destination FTP server
    `void` | `transferDir(Ftps source, Ftps destination, java.lang.String dir)` Transfer directory from source FTP server to destination FTP server

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Fxps

          public Fxps()

  - ### Method Detail

    - #### addFxpListener

          public void addFxpListener(FxpListener listener)

      Add FXP event listener
      Parameters:
        `listener` - a FxpListener
      See Also:
        `FxpListener`

    - #### removeFxpListener

          public void removeFxpListener(FxpListener listener)

      Remove FXP event listener.
      Parameters:
        `listener` - a FxpListener
      See Also:
        `FxpListener`

    - #### transferDir

          public void transferDir(Ftps source,
                                  Ftps destination,
                                  java.lang.String dir)
                           throws FtpException

      Transfer directory from source FTP server to destination FTP server
      Parameters:
        `source` - the source FTP server
        `destination` - the destination FTP server
        `dir` - the directory name
      Throws:
        `FtpException` - if an I/O or FTP related error occurs

    - #### transfer

          public void transfer(Ftps source,
                               Ftps destination,
                               java.lang.String filename)
                        throws FtpException

      Transfer file from source FTP server to destination FTP server
      Parameters:
        `source` - the source FTP server
        `destination` - the destination FTP server
        `filename` - the source filename
      Throws:
        `FtpException` - if an I/O or FTP related error occurs

    - #### mtransfer

          public void mtransfer(Ftps source,
                                Ftps destination,
                                java.lang.String filter)
                         throws FtpException

      Transfer files matching filter from source FTP server to destination FTP server
      Parameters:
        `source` - the source FTP server
        `destination` - the destination FTP server
        `filter` - the file filter
      Throws:
        `FtpException` - if an I/O or FTP related error occurs

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved